Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003622OCamlstandard librarypublic2005-05-09 16:252016-12-07 16:55
Reporteradministrator 
Assigned Tofrisch 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version4.03.0 
Summary0003622: Fold function for Stack
DescriptionFull_Name: Damien Bobillot
Version: 3.07
OS: Mac OS X 10.4
Submission from: 132.227.81.31 (132.227.81.31)


Why there's no fold function in the Stack moduleĀ ? It's so simple to write (just
call List.fold_left on content), and would give a better consistency with other
container modules (Array, Queue, List).

Tagspatch
Attached Files

- Relationships
has duplicate 0006659resolvedfrisch implement Stack.fold 

-  Notes
(0016736)
frisch (developer)
2016-12-07 16:55

Fixed by GPR#195.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2013-09-03 15:55 doligez Tag Attached: patch
2014-11-17 15:42 yallop Relationship added has duplicate 0006659
2016-12-07 14:51 shinwell Category OCaml general => OCaml standard library
2016-12-07 14:51 shinwell Description Updated View Revisions
2016-12-07 16:55 frisch Note Added: 0016736
2016-12-07 16:55 frisch Status acknowledged => resolved
2016-12-07 16:55 frisch Fixed in Version => 4.03.0
2016-12-07 16:55 frisch Resolution open => fixed
2016-12-07 16:55 frisch Assigned To => frisch
2017-02-23 16:43 doligez Category OCaml standard library => standard library


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker